version: '3.8'
services:
  db:
    image: mysql
    container_name: blogapi-db
    restart: always
    environment:
      MYSQL_DATABASE: 'blogapi'
      MYSQL_PASSWORD:
      MYSQL_ROOT_PASSWORD:
    ports:
      - '3306:3306'
    networks:
      - blogapi-network
    healthcheck:
      test: "/usr/bin/mysql --user=root --password= --execute \"SHOW DATABASES;\""
      interval: 2s
      timeout: 20s
      retries: 10
    volumes:
      - ./data:/docker-entrypoint-initdb.d
  application:
    container_name: blogapi-application
    build:
      context: ./
      dockerfile: Dockerfile
    ports:
      - "8081:8081"
    networks:
      - blogapi-network
    depends_on:
      - "db"
networks:
  blogapi-network:
    name: blogapi-network
    driver: bridge
